﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.display.DisplayObject;
	
	public class Boussoler extends Sprite
	{
		private var col:uint = 30;
		private var line:uint = 30;
		private var clip:Sprite;
		private var angle:Number;
		public function Boussoler()
		{
			addEventListener(Event.ADDED_TO_STAGE, addedHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			while(numChildren>0){
				var c:DisplayObject = getChildAt(0);
				removeChildAt(0);
				c = null;
			}
			init();
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			init();
		}
		private function init():void
		{
			var nbrl:Number = 200/col;
			var nbrh:Number = 200/line;
			for(var i:uint=1;i<line;i++){
				for(var j:uint=1;j<col;j++){
					clip = new Sprite();
					clip.graphics.lineStyle(1,0x000000);
					clip.graphics.moveTo(0,-20);
					clip.graphics.lineTo(0,20);
					clip.x = j*nbrl+(stage.stageWidth/2)-(200/2);
					clip.y = i*nbrh+(stage.stageHeight/2)-(200/2);
					addChild(clip);
					clip.addEventListener(Event.ENTER_FRAME,enterHandler);
				}
			}
		}
		
		private function enterHandler(e:Event):void
		{
			angle = Math.atan((e.currentTarget.y-mouseY)/(e.currentTarget.x-mouseX));
			e.currentTarget.rotation = angle*360/Math.PI;
			e.currentTarget.scaleY = angle*2;
			e.currentTarget.scaleX = angle/2;
			e.currentTarget.alpha = (angle+1)/2;

		}
	}
}